Summary: Raster3D is a fast high quality pixel image ray tracer for molecular graphics.
URL: http://www.bmsc.washington.edu/raster3d/raster3d.html
Name: raster3d
Version: 2.5c
Release: 1
Copyright: freely available
Group: Applications/Science
Source0: Raster3D_%{version}.tar.gz
Patch0: Raster3D_%{version}.patch
BuildRoot: /var/tmp/%{name}-root
BuildRequires: libjpeg-devel libtiff-devel

%description
The Raster3D molecular graphics package consists of a core program render and a
number of ancillary programs which read atomic coordinates from Brookhaven PDB
files to produce scene descriptions for input to render. Raster3D can also
render images composed using other programs such as Molscript and XtalView.

Add the environment variable: export R3D_LIB=/usr/share/raster3d/materials

%prep
%setup -q -n %{name}
%patch -p1 

%build
make CFLAGS="$RPM_OPT_FLAGS" -f Makefile.redhat

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/usr/{bin,man/manl,share/raster3d/materials}
install -m 755 -s avs2ps balls normal3d rastep render ribbon rings3d rods \
           stereo3d label3d \
           $RPM_BUILD_ROOT/usr/bin
install -m 644 doc/*.l $RPM_BUILD_ROOT/usr/man/manl
install -m 644 materials/* $RPM_BUILD_ROOT/usr/share/raster3d/materials

gzip $RPM_BUILD_ROOT/usr/man/manl/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUGS CHANGELOG INSTALL README.2.5c README.RASTER3D
%doc doc/R3D_manual.pdf html/ examples/
/usr/man/manl
/usr/share/raster3d
/usr/bin

%changelog
* Thu May 04 2000 Pierre Scotney <pierre@mail.medstv.unimelb.edu.au>
  [2.5c-1]
- Update to 2.5c
- Gziped manpages

* Wed Mar 02 2000 Pierre Scotney <pierre@mail.medstv.unimelb.edu.au>
  [2.5b-1]
- applied phong fix caused by MolScript v2.1.2 generating a real number
  fix supplied by Ethan Merritt <merritt@u.washington.edu>
- First cutting of 2.5b

